Package org.springframework.security.authentication.ott.reactive

# Interface ReactiveOneTimeTokenService

All Known Implementing Classes:
  `InMemoryReactiveOneTimeTokenService`

public interface ReactiveOneTimeTokenService
Reactive interface for generating and consuming one-time tokens.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<OneTimeToken>`
`consume(OneTimeTokenAuthenticationToken authenticationToken)`
Consumes a one-time token based on the provided authentication token.
`reactor.core.publisher.Mono<OneTimeToken>`
`generate(GenerateOneTimeTokenRequest request)`
Generates a one-time token based on the provided generate request.

## Method Details

### generate

reactor.core.publisher.Mono<OneTimeToken> generate(GenerateOneTimeTokenRequest request)
Generates a one-time token based on the provided generate request.

Parameters:
  `request` - the generate request containing the necessary information to generate the token
Returns:
  the generated `OneTimeToken`.

### consume

reactor.core.publisher.Mono<OneTimeToken> consume(OneTimeTokenAuthenticationToken authenticationToken)
Consumes a one-time token based on the provided authentication token.

Parameters:
  `authenticationToken` - the authentication token containing the one-time token value to be consumed
Returns:
  the consumed `OneTimeToken` or empty Mono if the token is invalid